--client\start scripts\init.lua
---------------------------------------------------
-- Copyright (c) 2015 -- Camshaft Software PTY LTD
-- All Rights Reserved
---------------------------------------------------


if not IsShipping() then
	--package.path = package.path .. ";.\\lualibs\\?.lua"
	package.path = package.path .. ";../../ZBS Git/lualibs/?/?.lua;../../ZBS Git/lualibs/?.lua"
	package.cpath = package.cpath .. ";../../ZBS Git/bin/?.dll;../../ZBS Git/bin/clibs/?.dll"

	debugger = require('mobdebug')
	debugger.start()
	debugger.off()
else
	debugger = { }
	debugger.on = function() print("Debugger.on - THIS SHOULD NOT BE BEING CALLED") end
	debugger.off = function() print("Debugger.off - THIS SHOULD NOT BE BEING CALLED") end
end

print("Init")
saveDirectory = GetSaveDirectory()


logFile = io.open(saveDirectory .. "log.txt", "w") 


function WriteLog(line)
	line = os.date("[%X]") .. " " .. line
	logFile:write(line.."\n")
	logFile:flush()
	
	if DebugConsole ~= nil then
		DebugConsole:AddText(line)
	end
end

printold = print

function print(...)
	local args = { ... }
	
	if #args == 1 then
		printold(args[1])
	elseif #args == 2 then
		printold(args[1], args[2])
	elseif #args == 3 then		
		printold(args[1], args[2], args[3])
	else
		printold(args)
	end
	

	local list = ""
	
	for k,v in pairs(args) do
		list = list .. tostring(v) .. " "
	end

	WriteLog(list)
end

print("Lua Version: \"" .. _VERSION .. "\"")
if type(jit) == 'table' then
	print(jit.version)  --LuaJIT 2.0.2
else
	print("Lua: No jit found")
end

Sleep(10000)
exit(0)


if StartKeeEngine(800, 600, 0, wstr("en-GB")) == false then
	print("Oh no, StartKeeEngine failed!")
	Sleep(100)
	exit(1)
end



